---
title: "segStart"
subtitle: "Function in std::sketch"
excerpt: "Compute the starting point of the provided line segment."
layout: manual
---

Compute the starting point of the provided line segment.

```kcl
segStart(@tag: TagIdentifier): Point2d
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| [`tag`](/docs/kcl-std/types/std-types-tag) | [`TagIdentifier`](/docs/kcl-lang/types#TagIdentifier) | The line segment being queried by its tag | Yes |

### Returns

[`Point2d`](/docs/kcl-std/types/std-types-Point2d) - A point in two dimensional space.


### Examples

```kcl
w = 15
cube = startSketchOn(XY)
  |> startProfile(at = [0, 0])
  |> line(end = [w, 0], tag = $line1)
  |> line(end = [0, w], tag = $line2)
  |> line(end = [-w, 0], tag = $line3)
  |> line(end = [0, -w], tag = $line4)
  |> close()
  |> extrude(length = 5)

fn cylinder(radius, tag) {
  return startSketchOn(XY)
    |> startProfile(at = [0, 0])
    |> circle(radius = radius, center = segStart(tag))
    |> extrude(length = radius)
}

cylinder(radius = 1, tag = line1)
cylinder(radius = 2, tag = line2)
cylinder(radius = 3, tag = line3)
cylinder(radius = 4, tag = line4)
```

![Rendered example of segStart 0](data:image/png;base64,[encoded data, 85304 characters])


